<?php

class Saldo_Model extends CI_Model {

    function __construct() {
        parent::__construct();
    }

    public function clienteNegocio() {

        $this->db->select('a.id_aluno, a.instituicao, a.id_cliente, b.id_negocio');
        $this->db->where('a.id_aluno', $_SESSION['logado']['id']);
        $this->db->where('a.id_cliente = b.id_cliente');
        $query = $this->db->get('amn_aluno a, amn_cliente b');

        return $query->row_array();
    }

    public function saldo() {
       
        $this->db->select('id_negocio, nome, nome_negocio, email, saldo, bonificacao, cpf, ddd_celular, celular, data_cadastro, endereco, numero, complemento, cep, bairro, cidade, estado, situacao');
        $this->db->where('id_negocio', $_SESSION['id_negocio']);
        $query = $this->db->get('amn_cliente');

        return $query->result();
    }
    
    public function cliente() {

        $this->db->select('id_negocio, nome, nome_negocio ,email, saldo, bonificacao, cpf, ddd_celular, celular, data_cadastro, endereco, numero, complemento, cep, bairro, cidade, estado, situacao');
        $this->db->where ('id_cliente', $_SESSION['id_cliente']);
        $query = $this->db->get('amn_cliente');

        return $query->row_array();
    }
    // ALTERAÇÃO DOS DADOS
    function recuperaDados() {

        $this->db->select('ddd_celular, celular, nome');
        $this->db->where ('ddd_celular', $this->input->post('ddd_celular'));
        $this->db->where ('celular', $this->input->post('celular'));
        $query = $this->db->get('amn_cliente')->row_array();

        return $query;
    }

    function recuperaDadosCliente() {

        $this->db->select('ddd_celular, celular, email');
        $this->db->where ('id_cliente', $_SESSION['id_cliente']);
        $query = $this->db->get('amn_cliente')->row_array();

        return $query;
    }

    function recuperaemail() {

        $this->db->select('email,nome');
        $this->db->where ('email', $this->input->post('email'));
        $query = $this->db->get('amn_cliente')->row_array();

        return $query;
    }
    
    function atualizadado($data) {

        $this->db->where('id_cliente = ' . $_SESSION['id_cliente']);
        $this->db->update('amn_cliente', $data);
    }

}
